| PUT | /RestApi/comments-api/threads |
|---|
export class ThreadUpdateRequest
{
public Key: string;
public IsClosed: boolean;
public constructor(init?: Partial<ThreadUpdateRequest>) { (Object as any).assign(this, init); }
}
export class ThreadResponse
{
public Key: string;
public Type: string;
public CommentsCount: number;
public Title: string;
public Language: string;
public IsClosed: boolean;
public GroupKey: string;
public ItemUrl: string;
public DataSource: string;
public AverageRating?: number;
public constructor(init?: Partial<ThreadResponse>) { (Object as any).assign(this, init); }
}
TypeScript ThreadUpdateRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/comments-api/threads HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
Key: String,
IsClosed: False
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Key: String,
Type: String,
CommentsCount: 0,
Title: String,
Language: String,
IsClosed: False,
GroupKey: String,
ItemUrl: String,
DataSource: String,
AverageRating: 0
}